from flask import Flask, request
import json
import cv2
import base64
import numpy as np

app = Flask(__name__)


@app.route('/')
def home():
    return '<h1>Ching Chong Bing Bong Ding Dong!!</h1>'


@app.route('/process_image', methods=['POST'])
def process_image():
    print(request.data)
    request_data = json.loads(request.data.decode("utf-8"))
    img_nparr = np.frombuffer(base64.b64decode(request_data['image']), np.uint8)
    img = cv2.imdecode(img_nparr,cv2.IMREAD_COLOR)
    cv2.imwrite("retrieved_img.jpg",img)
    print(request_data)
    return "Bing Bong!"


if __name__ == '__main__':
    app.run()
